Title: wp-includes/query.php | Page 2 of 2 | Developer.WordPress.org

---

# File: wp-includes/query.php

 * function[is_paged()](https://developer.wordpress.org/reference/functions/is_paged/)
 * Determines whether the query is for a paged result and not for the first page.
 * Used by [5 functions](https://developer.wordpress.org/reference/functions/is_paged/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_paged/#uses)
   | Source: [wp-includes/query.php:608](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L608-L617)
 * function[is_attachment()](https://developer.wordpress.org/reference/functions/is_attachment/)
 * Determines whether the query is for an existing attachment page.
 * Used by [9 functions](https://developer.wordpress.org/reference/functions/is_attachment/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_attachment/#uses)
   | Source: [wp-includes/query.php:213](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L213-L222)
 * function[is_author()](https://developer.wordpress.org/reference/functions/is_author/)
 * Determines whether the query is for an existing author archive page.
 * Used by [10 functions](https://developer.wordpress.org/reference/functions/is_author/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_author/#uses)
   | Source: [wp-includes/query.php:242](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L242-L251)
 * function[is_category()](https://developer.wordpress.org/reference/functions/is_category/)
 * Determines whether the query is for an existing category archive page.
 * Used by [12 functions](https://developer.wordpress.org/reference/functions/is_category/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_category/#uses)
   | Source: [wp-includes/query.php:271](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L271-L280)
 * function[is_tag()](https://developer.wordpress.org/reference/functions/is_tag/)
 * Determines whether the query is for an existing tag archive page.
 * Used by [11 functions](https://developer.wordpress.org/reference/functions/is_tag/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_tag/#uses)
   | Source: [wp-includes/query.php:300](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L300-L309)
 * function[is_tax()](https://developer.wordpress.org/reference/functions/is_tax/)
 * Determines whether the query is for an existing custom taxonomy archive page.
 * Used by [11 functions](https://developer.wordpress.org/reference/functions/is_tax/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_tax/#uses)
   | Source: [wp-includes/query.php:337](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L337-L346)
 * function[is_date()](https://developer.wordpress.org/reference/functions/is_date/)
 * Determines whether the query is for an existing date archive.
 * Used by [2 functions](https://developer.wordpress.org/reference/functions/is_date/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_date/#uses)
   | Source: [wp-includes/query.php:361](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L361-L370)
 * function[is_day()](https://developer.wordpress.org/reference/functions/is_day/)
 * Determines whether the query is for an existing day archive.
 * Used by [3 functions](https://developer.wordpress.org/reference/functions/is_day/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_day/#uses)
   | Source: [wp-includes/query.php:387](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L387-L396)
 * function[is_feed()](https://developer.wordpress.org/reference/functions/is_feed/)
 * Determines whether the query is for a feed.
 * Used by [7 functions](https://developer.wordpress.org/reference/functions/is_feed/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_feed/#uses)
   | Source: [wp-includes/query.php:413](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L413-L422)
 * function[is_comment_feed()](https://developer.wordpress.org/reference/functions/is_comment_feed/)
 * Is the query for a comments feed?
 * Used by [2 functions](https://developer.wordpress.org/reference/functions/is_comment_feed/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_comment_feed/#uses)
   | Source: [wp-includes/query.php:433](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L433-L442)
 * function[is_front_page()](https://developer.wordpress.org/reference/functions/is_front_page/)
 * Determines whether the query is for the front page of the site.
 * Used by [7 functions](https://developer.wordpress.org/reference/functions/is_front_page/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_front_page/#uses)
   | Source: [wp-includes/query.php:466](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L466-L475)
 * function[set_query_var()](https://developer.wordpress.org/reference/functions/set_query_var/)
 * Sets the value of a query variable in the WP_Query class.
 * Used by [2 functions](https://developer.wordpress.org/reference/functions/set_query_var/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/set_query_var/#uses)
   | Source: [wp-includes/query.php:74](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L74-L77)
 * function[query_posts()](https://developer.wordpress.org/reference/functions/query_posts/)
 * Sets up The Loop with query parameters.
 * Used by [0 functions](https://developer.wordpress.org/reference/functions/query_posts/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/query_posts/#uses)
   | Source: [wp-includes/query.php:97](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L97-L100)
 * function[wp_reset_query()](https://developer.wordpress.org/reference/functions/wp_reset_query/)
 * Destroys the previous query and sets up a new query.
 * Used by [0 functions](https://developer.wordpress.org/reference/functions/wp_reset_query/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/wp_reset_query/#uses)
   | Source: [wp-includes/query.php:114](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L114-L117)
 * function[wp_reset_postdata()](https://developer.wordpress.org/reference/functions/wp_reset_postdata/)
 * After looping through a separate query, this function restores the $post global
   to the current post in the main query.
 * Used by [3 functions](https://developer.wordpress.org/reference/functions/wp_reset_postdata/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/wp_reset_postdata/#uses)
   | Source: [wp-includes/query.php:127](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L127-L133)
 * function[is_archive()](https://developer.wordpress.org/reference/functions/is_archive/)
 * Determines whether the query is for an existing archive page.
 * Used by [3 functions](https://developer.wordpress.org/reference/functions/is_archive/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_archive/#uses)
   | Source: [wp-includes/query.php:161](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L161-L170)
 * function[is_post_type_archive()](https://developer.wordpress.org/reference/functions/is_post_type_archive/)
 * Determines whether the query is for an existing post type archive page.
 * Used by [9 functions](https://developer.wordpress.org/reference/functions/is_post_type_archive/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/functions/is_post_type_archive/#uses)
   | Source: [wp-includes/query.php:187](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L187-L196)
 * function[get_query_var()](https://developer.wordpress.org/reference/functions/get_query_var/)
 * Retrieves the value of a query variable in the WP_Query class.
 * Used by [33 functions](https://developer.wordpress.org/reference/functions/get_query_var/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/get_query_var/#uses)
   | Source: [wp-includes/query.php:27](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L27-L30)
 * function[get_queried_object()](https://developer.wordpress.org/reference/functions/get_queried_object/)
 * Retrieves the currently queried object.
 * Used by [22 functions](https://developer.wordpress.org/reference/functions/get_queried_object/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/get_queried_object/#uses)
   | Source: [wp-includes/query.php:43](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L43-L46)
 * function[get_queried_object_id()](https://developer.wordpress.org/reference/functions/get_queried_object_id/)
 * Retrieves the ID of the currently queried object.
 * Used by [13 functions](https://developer.wordpress.org/reference/functions/get_queried_object_id/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/functions/get_queried_object_id/#uses)
   | Source: [wp-includes/query.php:59](https://github.com/WordPress/wordpress-develop/blob/7.1/src/wp-includes/query.php#L59-L62)

 [Previous Page](https://developer.wordpress.org/reference/files/wp-includes/query.php/?output_format=md)

[1](https://developer.wordpress.org/reference/files/wp-includes/query.php/?output_format=md)
2